package it.unibs.arnaldo.rovineperdute;

import java.util.HashMap;
import java.util.List;

public class Links {
    private final HashMap<Integer, List<Integer>> mappaCollegamenti;
    private final HashMap<Integer, RovinaPerduta> mappa;

    public Links(HashMap<Integer, RovinaPerduta> mappa, HashMap<Integer, List<Integer>> mappaCollegamenti) {
        this.mappa = mappa;
        this.mappaCollegamenti = mappaCollegamenti;
    }

    public HashMap<Integer, List<Integer>> getMappaCollegamenti() {
        return mappaCollegamenti;
    }

    public HashMap<Integer, RovinaPerduta> getMappa() {
        return mappa;
    }
}
